Bug 207212 - update www/hiawatha to 10.1
Summary: update www/hiawatha to 10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-15 13:51 UTC by w.schwarzenfeld
Modified: 2016-02-21 10:19 UTC (History)
3 users (show)

See Also:
portmaster: maintainer-feedback+


Attachments
poudriere-hiawatha-10.1.log (106.37 KB, text/x-log)
2016-02-15 13:51 UTC, w.schwarzenfeld
no flags Details
svn-diff_www_hiawatha-10.1 (2.56 KB, patch)
2016-02-15 13:52 UTC, w.schwarzenfeld
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description w.schwarzenfeld 2016-02-15 13:51:41 UTC
Created attachment 167025 [details]
poudriere-hiawatha-10.1.log
Comment 1 w.schwarzenfeld 2016-02-15 13:52:24 UTC
Created attachment 167026 [details]
svn-diff_www_hiawatha-10.1
Comment 2 w.schwarzenfeld 2016-02-15 13:55:31 UTC
I know there is a new maintainer, I make it cause of a request on pipermail.

ChangeLog:    
Added Extensions setting.
    Added support for X-Sendfile header.
    mbed TLS updated to 2.2.1.
    Improved SQL injection detection.
    Small bugfixes and improvements.

portlint:
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.
0 fatal errors and 2 warnings found.
Comment 3 Chris Hutchinson 2016-02-17 06:00:08 UTC
Comment on attachment 167026 [details]
svn-diff_www_hiawatha-10.1

Hello, Walter.
Everything looks good.

Thanks! :)
Comment 4 commit-hook freebsd_committer 2016-02-21 09:52:23 UTC
A commit references this bug:

Author: olivierd
Date: Sun Feb 21 09:51:24 UTC 2016
New revision: 409274
URL: https://svnweb.freebsd.org/changeset/ports/409274

Log:
  Update to 10.1

  PR:		207212
  Submitted by:	<w.schwarzenfeld@aon.at>
  Approved by:	 Chris Hutchinson (maintainer)

Changes:
  head/www/hiawatha/Makefile
  head/www/hiawatha/distinfo
  head/www/hiawatha/pkg-plist
Comment 5 Olivier Duchateau freebsd_committer 2016-02-21 09:54:55 UTC
Committed with minor changes, especially pkg-plist. @sample keyword automatically copy configuration files from .sample files, so it's not necessary to add them in pkg-plist.
Comment 6 Chris Hutchinson 2016-02-21 10:19:47 UTC
(In reply to Olivier Duchateau from comment #5)
> Committed with minor changes, especially pkg-plist. @sample keyword
> automatically copy configuration files from .sample files, so it's not
> necessary to add them in pkg-plist.

Sorry. Should have caught that myself. Thanks, Olivier!

--Chris